Bug 741088 - SELinux is preventing /bin/bash from 'execute' accesses on the file /usr/bin/consolehelper.
Summary: SELinux is preventing /bin/bash from 'execute' accesses on the file /usr/bin/...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:4e44d433c1a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 08:49 UTC by Benjamin Kingston
Modified: 2012-08-16 14:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 14:41:37 UTC


Attachments (Terms of Use)

Description Benjamin Kingston 2011-09-25 08:49:30 UTC
SELinux is preventing /bin/bash from 'execute' accesses on the file /usr/bin/consolehelper.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bash should be allowed execute access on the consolehelper file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sh /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:mount_t:s0
Target Context                system_u:object_r:consolehelper_exec_t:s0
Target Objects                /usr/bin/consolehelper [ file ]
Source                        sh
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.1.7-4.fc14
Target RPM Packages           usermode-1.106.1-1.fc14.1
Policy RPM                    selinux-policy-3.9.7-44.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35.14-96.fc14.x86_64 #1 SMP Thu Sep 1 11:59:56
                              UTC 2011 x86_64 x86_64
Alert Count                   3
First Seen                    Sun 25 Sep 2011 01:13:15 AM MST
Last Seen                     Sun 25 Sep 2011 01:46:37 AM MST
Local ID                      8b334995-c2cb-4d7a-9fbb-29b33d03ed6a

Raw Audit Messages
type=AVC msg=audit(1316940397.383:44417): avc:  denied  { execute } for  pid=3867 comm="sh" name="consolehelper" dev=dm-1 ino=525368 scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:consolehelper_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1316940397.383:44417): arch=x86_64 syscall=access success=no exit=EACCES a0=2208320 a1=1 a2=0 a3=8 items=0 ppid=3866 pid=3867 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=sh exe=/bin/bash subj=system_u:system_r:mount_t:s0 key=(null)

Hash: sh,mount_t,consolehelper_exec_t,file,execute

audit2allow

#============= mount_t ==============
allow mount_t consolehelper_exec_t:file execute;

audit2allow -R

#============= mount_t ==============
allow mount_t consolehelper_exec_t:file execute;

Comment 1 Miroslav Grepl 2011-09-26 07:32:25 UTC
What were you doing when this happened? Do you have a script running as mount_t and trying to execute consolehelper?

Comment 2 Fedora End Of Life 2012-08-16 14:41:40 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.